Kolibri is unable to start

Hello, After working well for a couple of weeks, Kolibri server stopped working with message “Kolibri is unable to start”.

Technical details

  • Kolibri version: 0.13
  • Operating system: Windows 10
  • Browser: Chrome 83.0.4103.61

Below daemon and kolibri.txt content:

Daemon.txt
e[37mINFO Starting Kolibri 0.13.2e[0m
e[37mINFO ENGINE Listening for SIGTERM.e[0m
e[37mINFO ENGINE Listening for SIGINT.e[0m
e[37mINFO ENGINE Bus STARTINGe[0m
e[31mERROR ENGINE Error in ‘start’ listener <bound method ServicesPlugin.start of <kolibri.utils.server.ServicesPlugin object at 0x0000000006C27A58>>
Traceback (most recent call last):
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\base.py”, line 1193, in _execute_context
context)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\default.py”, line 509, in do_execute
cursor.execute(statement, parameters)
sqlite3.OperationalError: database is locked

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “C:\Python34\lib\site-packages\kolibri\dist\cherrypy\process\wspbus.py”, line 230, in publish
output.append(listener(*args, **kwargs))
File “C:\Python34\lib\site-packages\kolibri\utils\server.py”, line 82, in start
scheduler.clear_scheduler()
File “C:\Python34\lib\site-packages\kolibri\core\tasks\scheduler.py”, line 211, in clear_scheduler
self.cancel(None)
File “C:\Python34\lib\site-packages\kolibri\core\tasks\scheduler.py”, line 205, in cancel
q.delete(synchronize_session=False)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\orm\query.py”, line 3346, in delete
delete_op.exec_()
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\orm\persistence.py”, line 1326, in exec_
self._do_exec()
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\orm\persistence.py”, line 1518, in _do_exec
self._execute_stmt(delete_stmt)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\orm\persistence.py”, line 1333, in _execute_stmt
mapper=self.mapper)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\orm\session.py”, line 1176, in execute
bind, close_with_result=True).execute(clause, params or {})
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\base.py”, line 948, in execute
return meth(self, multiparams, params)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\sql\elements.py”, line 269, in _execute_on_connection
return connection._execute_clauseelement(self, multiparams, params)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\base.py”, line 1060, in _execute_clauseelement
compiled_sql, distilled_params
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\base.py”, line 1200, in _execute_context
context)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\base.py”, line 1413, in _handle_dbapi_exception
exc_info
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\util\compat.py”, line 265, in raise_from_cause
reraise(type(exception), exception, tb=exc_tb, cause=cause)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\util\compat.py”, line 248, in reraise
raise value.with_traceback(tb)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\base.py”, line 1193, in _execute_context
context)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\default.py”, line 509, in do_execute
cursor.execute(statement, parameters)
sqlalchemy.exc.OperationalError: (sqlite3.OperationalError) database is locked [parameters: (‘kolibri’,)] (Background on this error at: http://sqlalche.me/e/e3q8)
e[0m
e[31mERROR ENGINE Error in HTTP server: shutting down
Traceback (most recent call last):
File “C:\Python34\lib\site-packages\kolibri\dist\cherrypy\process\servers.py”, line 225, in _start_http_thread
self.httpserver.start()
File “C:\Python34\lib\site-packages\kolibri\dist\cheroot\server.py”, line 1532, in start
raise socket.error(msg)
OSError: No socket could be created – ((‘0.0.0.0’, 8080): Solo se permite un uso de cada direcciÛn de socket (protocolo/direcciÛn de red/puerto))
e[0m
e[37mINFO ENGINE Bus STOPPINGe[0m
e[37mINFO ENGINE HTTP Server cherrypy._cpwsgi_server.CPWSGIServer((‘0.0.0.0’, 8080)) already shut downe[0m
e[37mINFO ENGINE Bus STOPPEDe[0m
e[37mINFO ENGINE Bus EXITINGe[0m
e[37mINFO ENGINE Bus EXITEDe[0m

kolibri.txt
INFO 2020-05-22 21:24:14,703 cli Running Kolibri as background process
ERROR 2020-05-22 21:24:15,129 cli Could not detect an IP address that Kolibri binds to, but try opening up the following addresses:

INFO 2020-05-22 21:24:15,376 cli Going to background mode, logging to C:\Users\emilio.kolibri\logs\kolibri.txt
INFO 2020-05-22 21:24:15,381 server Starting Kolibri 0.13.2
INFO 2020-05-22 21:24:16,210 cherrypy.error ENGINE Listening for SIGINT.
INFO 2020-05-22 21:24:16,211 cherrypy.error ENGINE Listening for SIGTERM.
INFO 2020-05-22 21:24:16,211 cherrypy.error ENGINE Bus STARTING
INFO 2020-05-22 21:24:18,303 utils Started new JOBCHECKER thread ID#f244089c3cc9427e94a11a581c2a30af
INFO 2020-05-22 21:24:18,317 utils Started new JOBCHECKER thread ID#4a58ff9ae87a43a18da2d76dcf012d3a
INFO 2020-05-22 21:24:18,319 utils Started new SCHEDULECHECKER thread ID#abcb9f2c3ef741fb8b42fd54c1f52884
INFO 2020-05-22 21:24:19,296 search Registering ourselves to zeroconf network with id ‘e04abf468f1c72c3bfdf450f8af05d96’…
WARNING 2020-05-22 21:24:29,122 utils Ping failed (could not connect). Trying again in 15 minutes.
INFO 2020-05-22 21:26:44,476 apps Running Kolibri with the following settings: kolibri.deployment.default.settings.base
INFO 2020-05-22 21:26:48,133 cli Running Kolibri as background process
ERROR 2020-05-22 21:26:48,280 cli Could not detect an IP address that Kolibri binds to, but try opening up the following addresses:

INFO 2020-05-22 21:26:48,332 cli Going to background mode, logging to C:\Users\emilio.kolibri\logs\kolibri.txt
INFO 2020-05-22 21:26:48,336 server Starting Kolibri 0.13.2
INFO 2020-05-22 21:26:48,387 cherrypy.error ENGINE Listening for SIGTERM.
INFO 2020-05-22 21:26:48,388 cherrypy.error ENGINE Listening for SIGINT.
INFO 2020-05-22 21:26:48,389 cherrypy.error ENGINE Bus STARTING
ERROR 2020-05-22 21:26:54,502 cherrypy.error ENGINE Error in ‘start’ listener <bound method ServicesPlugin.start of <kolibri.utils.server.ServicesPlugin object at 0x00000000075C0128>>
Traceback (most recent call last):
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\base.py”, line 1193, in _execute_context
context)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\default.py”, line 509, in do_execute
cursor.execute(statement, parameters)
sqlite3.OperationalError: database is locked

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “C:\Python34\lib\site-packages\kolibri\dist\cherrypy\process\wspbus.py”, line 230, in publish
output.append(listener(*args, **kwargs))
File “C:\Python34\lib\site-packages\kolibri\utils\server.py”, line 82, in start
scheduler.clear_scheduler()
File “C:\Python34\lib\site-packages\kolibri\core\tasks\scheduler.py”, line 211, in clear_scheduler
self.cancel(None)
File “C:\Python34\lib\site-packages\kolibri\core\tasks\scheduler.py”, line 205, in cancel
q.delete(synchronize_session=False)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\orm\query.py”, line 3346, in delete
delete_op.exec_()
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\orm\persistence.py”, line 1326, in exec_
self._do_exec()
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\orm\persistence.py”, line 1518, in _do_exec
self._execute_stmt(delete_stmt)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\orm\persistence.py”, line 1333, in _execute_stmt
mapper=self.mapper)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\orm\session.py”, line 1176, in execute
bind, close_with_result=True).execute(clause, params or {})
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\base.py”, line 948, in execute
return meth(self, multiparams, params)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\sql\elements.py”, line 269, in _execute_on_connection
return connection._execute_clauseelement(self, multiparams, params)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\base.py”, line 1060, in _execute_clauseelement
compiled_sql, distilled_params
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\base.py”, line 1200, in _execute_context
context)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\base.py”, line 1413, in _handle_dbapi_exception
exc_info
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\util\compat.py”, line 265, in raise_from_cause
reraise(type(exception), exception, tb=exc_tb, cause=cause)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\util\compat.py”, line 248, in reraise
raise value.with_traceback(tb)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\base.py”, line 1193, in _execute_context
context)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\default.py”, line 509, in do_execute
cursor.execute(statement, parameters)
sqlalchemy.exc.OperationalError: (sqlite3.OperationalError) database is locked [parameters: (‘kolibri’,)] (Background on this error at: http://sqlalche.me/e/e3q8)

ERROR 2020-05-22 21:26:54,660 cherrypy.error ENGINE Error in HTTP server: shutting down
Traceback (most recent call last):
File “C:\Python34\lib\site-packages\kolibri\dist\cherrypy\process\servers.py”, line 225, in _start_http_thread
self.httpserver.start()
File “C:\Python34\lib\site-packages\kolibri\dist\cheroot\server.py”, line 1532, in start
raise socket.error(msg)
OSError: No socket could be created – ((‘0.0.0.0’, 8080): Solo se permite un uso de cada direcciÛn de socket (protocolo/direcciÛn de red/puerto))

INFO 2020-05-22 21:26:54,661 cherrypy.error ENGINE Bus STOPPING
INFO 2020-05-22 21:26:54,661 cherrypy.error ENGINE HTTP Server cherrypy._cpwsgi_server.CPWSGIServer((‘0.0.0.0’, 8080)) already shut down
INFO 2020-05-22 21:26:54,681 cherrypy.error ENGINE Bus STOPPED
INFO 2020-05-22 21:26:54,681 cherrypy.error ENGINE Bus EXITING
INFO 2020-05-22 21:26:54,683 cherrypy.error ENGINE Bus EXITED
INFO 2020-05-22 21:27:12,793 apps Running Kolibri with the following settings: kolibri.deployment.default.settings.base
INFO 2020-05-22 21:27:14,518 cli Running Kolibri as background process
ERROR 2020-05-22 21:27:14,661 cli Could not detect an IP address that Kolibri binds to, but try opening up the following addresses:

INFO 2020-05-22 21:27:14,718 cli Going to background mode, logging to C:\Users\emilio.kolibri\logs\kolibri.txt
INFO 2020-05-22 21:27:14,728 server Starting Kolibri 0.13.2
INFO 2020-05-22 21:27:14,786 cherrypy.error ENGINE Listening for SIGINT.
INFO 2020-05-22 21:27:14,788 cherrypy.error ENGINE Listening for SIGTERM.
INFO 2020-05-22 21:27:14,796 cherrypy.error ENGINE Bus STARTING
ERROR 2020-05-22 21:27:20,649 cherrypy.error ENGINE Error in ‘start’ listener <bound method ServicesPlugin.start of <kolibri.utils.server.ServicesPlugin object at 0x0000000007327A90>>
Traceback (most recent call last):
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\base.py”, line 1193, in _execute_context
context)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\default.py”, line 509, in do_execute
cursor.execute(statement, parameters)
sqlite3.OperationalError: database is locked

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “C:\Python34\lib\site-packages\kolibri\dist\cherrypy\process\wspbus.py”, line 230, in publish
output.append(listener(*args, **kwargs))
File “C:\Python34\lib\site-packages\kolibri\utils\server.py”, line 82, in start
scheduler.clear_scheduler()
File “C:\Python34\lib\site-packages\kolibri\core\tasks\scheduler.py”, line 211, in clear_scheduler
self.cancel(None)
File “C:\Python34\lib\site-packages\kolibri\core\tasks\scheduler.py”, line 205, in cancel
q.delete(synchronize_session=False)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\orm\query.py”, line 3346, in delete
delete_op.exec_()
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\orm\persistence.py”, line 1326, in exec_
self._do_exec()
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\orm\persistence.py”, line 1518, in _do_exec
self._execute_stmt(delete_stmt)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\orm\persistence.py”, line 1333, in _execute_stmt
mapper=self.mapper)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\orm\session.py”, line 1176, in execute
bind, close_with_result=True).execute(clause, params or {})
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\base.py”, line 948, in execute
return meth(self, multiparams, params)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\sql\elements.py”, line 269, in _execute_on_connection
return connection._execute_clauseelement(self, multiparams, params)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\base.py”, line 1060, in _execute_clauseelement
compiled_sql, distilled_params
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\base.py”, line 1200, in _execute_context
context)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\base.py”, line 1413, in _handle_dbapi_exception
exc_info
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\util\compat.py”, line 265, in raise_from_cause
reraise(type(exception), exception, tb=exc_tb, cause=cause)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\util\compat.py”, line 248, in reraise
raise value.with_traceback(tb)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\base.py”, line 1193, in _execute_context
context)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\default.py”, line 509, in do_execute
cursor.execute(statement, parameters)
sqlalchemy.exc.OperationalError: (sqlite3.OperationalError) database is locked [parameters: (‘kolibri’,)] (Background on this error at: http://sqlalche.me/e/e3q8)

ERROR 2020-05-22 21:27:20,764 cherrypy.error ENGINE Error in HTTP server: shutting down
Traceback (most recent call last):
File “C:\Python34\lib\site-packages\kolibri\dist\cherrypy\process\servers.py”, line 225, in _start_http_thread
self.httpserver.start()
File “C:\Python34\lib\site-packages\kolibri\dist\cheroot\server.py”, line 1532, in start
raise socket.error(msg)
OSError: No socket could be created – ((‘0.0.0.0’, 8080): Solo se permite un uso de cada direcciÛn de socket (protocolo/direcciÛn de red/puerto))

INFO 2020-05-22 21:27:20,764 cherrypy.error ENGINE Bus STOPPING
INFO 2020-05-22 21:27:20,765 cherrypy.error ENGINE HTTP Server cherrypy._cpwsgi_server.CPWSGIServer((‘0.0.0.0’, 8080)) already shut down
INFO 2020-05-22 21:27:20,783 cherrypy.error ENGINE Bus STOPPED
INFO 2020-05-22 21:27:20,783 cherrypy.error ENGINE Bus EXITING
INFO 2020-05-22 21:27:20,785 cherrypy.error ENGINE Bus EXITED
INFO 2020-05-22 21:40:58,604 cli Already stopped: Stopped (1)
INFO 2020-05-22 21:41:22,520 apps Running Kolibri with the following settings: kolibri.deployment.default.settings.base
INFO 2020-05-22 21:41:24,291 cli Running Kolibri as background process
ERROR 2020-05-22 21:41:24,455 cli Could not detect an IP address that Kolibri binds to, but try opening up the following addresses:

INFO 2020-05-22 21:41:24,511 cli Going to background mode, logging to C:\Users\emilio.kolibri\logs\kolibri.txt
INFO 2020-05-22 21:41:24,515 server Starting Kolibri 0.13.2
INFO 2020-05-22 21:41:24,548 cherrypy.error ENGINE Listening for SIGINT.
INFO 2020-05-22 21:41:24,549 cherrypy.error ENGINE Listening for SIGTERM.
INFO 2020-05-22 21:41:24,550 cherrypy.error ENGINE Bus STARTING
ERROR 2020-05-22 21:41:30,385 cherrypy.error ENGINE Error in ‘start’ listener <bound method ServicesPlugin.start of <kolibri.utils.server.ServicesPlugin object at 0x0000000007816A58>>
Traceback (most recent call last):
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\base.py”, line 1193, in _execute_context
context)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\default.py”, line 509, in do_execute
cursor.execute(statement, parameters)
sqlite3.OperationalError: database is locked

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “C:\Python34\lib\site-packages\kolibri\dist\cherrypy\process\wspbus.py”, line 230, in publish
output.append(listener(*args, **kwargs))
File “C:\Python34\lib\site-packages\kolibri\utils\server.py”, line 82, in start
scheduler.clear_scheduler()
File “C:\Python34\lib\site-packages\kolibri\core\tasks\scheduler.py”, line 211, in clear_scheduler
self.cancel(None)
File “C:\Python34\lib\site-packages\kolibri\core\tasks\scheduler.py”, line 205, in cancel
q.delete(synchronize_session=False)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\orm\query.py”, line 3346, in delete
delete_op.exec_()
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\orm\persistence.py”, line 1326, in exec_
self._do_exec()
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\orm\persistence.py”, line 1518, in _do_exec
self._execute_stmt(delete_stmt)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\orm\persistence.py”, line 1333, in _execute_stmt
mapper=self.mapper)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\orm\session.py”, line 1176, in execute
bind, close_with_result=True).execute(clause, params or {})
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\base.py”, line 948, in execute
return meth(self, multiparams, params)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\sql\elements.py”, line 269, in _execute_on_connection
return connection._execute_clauseelement(self, multiparams, params)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\base.py”, line 1060, in _execute_clauseelement
compiled_sql, distilled_params
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\base.py”, line 1200, in _execute_context
context)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\base.py”, line 1413, in _handle_dbapi_exception
exc_info
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\util\compat.py”, line 265, in raise_from_cause
reraise(type(exception), exception, tb=exc_tb, cause=cause)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\util\compat.py”, line 248, in reraise
raise value.with_traceback(tb)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\base.py”, line 1193, in _execute_context
context)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\default.py”, line 509, in do_execute
cursor.execute(statement, parameters)
sqlalchemy.exc.OperationalError: (sqlite3.OperationalError) database is locked [parameters: (‘kolibri’,)] (Background on this error at: http://sqlalche.me/e/e3q8)

ERROR 2020-05-22 21:41:30,497 cherrypy.error ENGINE Error in HTTP server: shutting down
Traceback (most recent call last):
File “C:\Python34\lib\site-packages\kolibri\dist\cherrypy\process\servers.py”, line 225, in _start_http_thread
self.httpserver.start()
File “C:\Python34\lib\site-packages\kolibri\dist\cheroot\server.py”, line 1532, in start
raise socket.error(msg)
OSError: No socket could be created – ((‘0.0.0.0’, 8080): Solo se permite un uso de cada direcciÛn de socket (protocolo/direcciÛn de red/puerto))

INFO 2020-05-22 21:41:30,498 cherrypy.error ENGINE Bus STOPPING
INFO 2020-05-22 21:41:30,498 cherrypy.error ENGINE HTTP Server cherrypy._cpwsgi_server.CPWSGIServer((‘0.0.0.0’, 8080)) already shut down
INFO 2020-05-22 21:41:30,516 cherrypy.error ENGINE Bus STOPPED
INFO 2020-05-22 21:41:30,517 cherrypy.error ENGINE Bus EXITING
INFO 2020-05-22 21:41:30,518 cherrypy.error ENGINE Bus EXITED
INFO 2020-05-22 21:53:22,237 apps Running Kolibri with the following settings: kolibri.deployment.default.settings.base
INFO 2020-05-22 21:53:24,128 cli Running Kolibri as background process
ERROR 2020-05-22 21:53:24,290 cli Could not detect an IP address that Kolibri binds to, but try opening up the following addresses:

INFO 2020-05-22 21:53:24,347 cli Going to background mode, logging to C:\Users\emilio.kolibri\logs\kolibri.txt
INFO 2020-05-22 21:53:24,351 server Starting Kolibri 0.13.2
INFO 2020-05-22 21:53:24,387 cherrypy.error ENGINE Listening for SIGTERM.
INFO 2020-05-22 21:53:24,388 cherrypy.error ENGINE Listening for SIGINT.
INFO 2020-05-22 21:53:24,389 cherrypy.error ENGINE Bus STARTING
ERROR 2020-05-22 21:53:30,176 cherrypy.error ENGINE Error in ‘start’ listener <bound method ServicesPlugin.start of <kolibri.utils.server.ServicesPlugin object at 0x0000000006C27A58>>
Traceback (most recent call last):
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\base.py”, line 1193, in _execute_context
context)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\default.py”, line 509, in do_execute
cursor.execute(statement, parameters)
sqlite3.OperationalError: database is locked

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “C:\Python34\lib\site-packages\kolibri\dist\cherrypy\process\wspbus.py”, line 230, in publish
output.append(listener(*args, **kwargs))
File “C:\Python34\lib\site-packages\kolibri\utils\server.py”, line 82, in start
scheduler.clear_scheduler()
File “C:\Python34\lib\site-packages\kolibri\core\tasks\scheduler.py”, line 211, in clear_scheduler
self.cancel(None)
File “C:\Python34\lib\site-packages\kolibri\core\tasks\scheduler.py”, line 205, in cancel
q.delete(synchronize_session=False)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\orm\query.py”, line 3346, in delete
delete_op.exec_()
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\orm\persistence.py”, line 1326, in exec_
self._do_exec()
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\orm\persistence.py”, line 1518, in _do_exec
self._execute_stmt(delete_stmt)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\orm\persistence.py”, line 1333, in _execute_stmt
mapper=self.mapper)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\orm\session.py”, line 1176, in execute
bind, close_with_result=True).execute(clause, params or {})
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\base.py”, line 948, in execute
return meth(self, multiparams, params)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\sql\elements.py”, line 269, in _execute_on_connection
return connection._execute_clauseelement(self, multiparams, params)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\base.py”, line 1060, in _execute_clauseelement
compiled_sql, distilled_params
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\base.py”, line 1200, in _execute_context
context)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\base.py”, line 1413, in _handle_dbapi_exception
exc_info
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\util\compat.py”, line 265, in raise_from_cause
reraise(type(exception), exception, tb=exc_tb, cause=cause)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\util\compat.py”, line 248, in reraise
raise value.with_traceback(tb)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\base.py”, line 1193, in _execute_context
context)
File “C:\Python34\lib\site-packages\kolibri\dist\sqlalchemy\engine\default.py”, line 509, in do_execute
cursor.execute(statement, parameters)
sqlalchemy.exc.OperationalError: (sqlite3.OperationalError) database is locked [parameters: (‘kolibri’,)] (Background on this error at: http://sqlalche.me/e/e3q8)

ERROR 2020-05-22 21:53:30,289 cherrypy.error ENGINE Error in HTTP server: shutting down
Traceback (most recent call last):
File “C:\Python34\lib\site-packages\kolibri\dist\cherrypy\process\servers.py”, line 225, in _start_http_thread
self.httpserver.start()
File “C:\Python34\lib\site-packages\kolibri\dist\cheroot\server.py”, line 1532, in start
raise socket.error(msg)
OSError: No socket could be created – ((‘0.0.0.0’, 8080): Solo se permite un uso de cada direcciÛn de socket (protocolo/direcciÛn de red/puerto))

INFO 2020-05-22 21:53:30,290 cherrypy.error ENGINE Bus STOPPING
INFO 2020-05-22 21:53:30,290 cherrypy.error ENGINE HTTP Server cherrypy._cpwsgi_server.CPWSGIServer((‘0.0.0.0’, 8080)) already shut down
INFO 2020-05-22 21:53:30,309 cherrypy.error ENGINE Bus STOPPED
INFO 2020-05-22 21:53:30,309 cherrypy.error ENGINE Bus EXITING
INFO 2020-05-22 21:53:30,311 cherrypy.error ENGINE Bus EXITED

Thanks in advance.
-Marco

Hi @marcoalvarado

From the error messages, just a guess: maybe there is already be an instance of Kolibri running, and it is trying to start a second copy. Have you tried restarting the computer?

If restarting doesn’t work, let us know and we’ll investigate further.

Hi devon,
I restarted the server but the issue continues. I decided to uninstall Kolibri in this server and re-install in another one, as the current is shared with more users and troubleshooting in this environment could be too long.
Thank you for your help.
Best.